Loading...
Searching...
No Matches
caf::scheduled_actor::mailbox_policy Struct Reference

Configures the FIFO inbox with four nested queues: More...

`#include <scheduled_actor.hpp>`

## Public Types

using | deficit_type = size_t
using | mapped_type = mailbox_element
using | unique_pointer = mailbox_element_ptr
using | queue_type

## Detailed Description

Configures the FIFO inbox with four nested queues:

1. Default asynchronous messages
2. High-priority asynchronous messages
3. Upstream messages
4. Downstream messages

The queue for downstream messages is in turn composed of a nested queues, one for each active input slot.

## Member Typedef Documentation

## queue_type

using caf::scheduled_actor::mailbox_policy::queue_type

Initial value:
intrusive::wdrr_fixed_multiplexed_queue<policy::categorized, urgent_queue,
normal_queue, upstream_queue,
downstream_queue>
caf::blocking_actor::normal_queue
intrusive::drr_cached_queue< policy::normal_messages > normal_queue
Stores asynchronous messages with default priority.
Definition blocking_actor.hpp:90
caf::blocking_actor::urgent_queue
intrusive::drr_cached_queue< policy::urgent_messages > urgent_queue
Stores asynchronous messages with high priority.
Definition blocking_actor.hpp:93
caf::intrusive::wdrr_fixed_multiplexed_queue
A work queue that internally multiplexes any number of DRR queues.
Definition wdrr_fixed_multiplexed_queue.hpp:36
caf::policy::categorized
Configures a cached WDRR fixed multiplexed queue for dispatching to four nested queue (one for each m...
Definition categorized.hpp:37
caf::scheduled_actor::downstream_queue
intrusive::wdrr_dynamic_multiplexed_queue< policy::downstream_messages > downstream_queue
Stores downstream messages.
Definition scheduled_actor.hpp:155
caf::scheduled_actor::upstream_queue
intrusive::drr_queue< policy::upstream_messages > upstream_queue
Stores upstream messages.
Definition scheduled_actor.hpp:152

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/scheduled_actor.hpp